#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvorbis
Version		:	1.3.7
Release		:	17.2.0.rel%{?dist}
Summary		:	The Vorbis General Audio Compression Codec
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://www.xiph.org

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libogg
#-----------------------------------------------------------------------------
%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates.

The libvorbis package contains runtime libraries for use in programs
that support Ogg Vorbis.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

%doc AUTHORS CHANGES COPYING
%{_includedir}/vorbis/*.h
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/vorbis*.pc
%{_defaultdocdir}/%{name}-%{version}/libvorbis/*.{css,html}
%{_defaultdocdir}/%{name}-%{version}/vorbisfile/*.{css,html}
%{_defaultdocdir}/%{name}-%{version}/vorbisenc/*.{css,html}
%{_defaultdocdir}/%{name}-%{version}/doxygen-build.stamp
%{_defaultdocdir}/%{name}-%{version}/*.{css,html,png,txt,xml}
%{_datadir}/aclocal/*.m4

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
